﻿Imports System.IO
Imports System.Xml.Linq
Imports <xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05">

Class Window1

    Private Sub myButton_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles myButton.Click

        Dim c_AmazonURL As String = "http://webservices.amazon.com/onca/xml?Service=AWSECommerceService" _
                                    & "&Keywords={0}" _
                                    & "&AWSAccessKeyId={1}" _
                                    & "&Operation=ItemSearch" _
                                    & "&SearchIndex=Books" _
                                    & "&ResponseGroup=Large"

        Dim requestUrl = String.Format(c_AmazonURL, myTextBox.Text, "[Get your access code at aws.amazon.com]")
        Dim XMLReturn = XElement.Load(requestUrl)

        Dim books = From b In XMLReturn...<Item> _
                    Select Isbn = b.<ItemAttributes>.<ISBN>.Value, _
                            Title = b.<ItemAttributes>.<Title>.Value, _
                            Image = b.<MediumImage>.<URL>.Value, _
                            Rank = b.<SalesRank>.Value

        myListBox.ItemsSource = books


        'Dim di As New DirectoryInfo("c:\demos\media")

        'Dim files = From f In di.GetFiles() _
        '            Where f.Name.Contains(myTextBox.Text) _
        '            Order By f.Name _
        '            Select f

        'myListBox.ItemsSource = files

    End Sub
End Class
