﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI;
using System.Web.UI.SilverlightControls;

namespace btlodPart
{
    public class demoBookPart : WebPart
    {
        private string _mySource = "ClientBin/BookFinder.xap";

        [WebBrowsable(true), Personalizable(PersonalizationScope.Shared), WebDisplayName("mySource")]
        public string mySource
        {
            get { return _mySource; }
            set { _mySource = value; }
        }

        public demoBookPart()
        {
            this.Height = new System.Web.UI.WebControls.Unit(450);
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            ScriptManager sm = ScriptManager.GetCurrent(this.Page);
            if (sm == null)
            {
                sm = new ScriptManager();
                this.Controls.Add(sm);
            }

        }


        Silverlight slc = null;
        protected override void RenderContents(System.Web.UI.HtmlTextWriter writer)
        {
            EnsureChildControls();
            if (slc != null)
                slc.RenderControl(writer);
            
            base.RenderContents(writer);
        }

        protected override void CreateChildControls()
        {
            slc = new Silverlight();
            slc.Width = new System.Web.UI.WebControls.Unit(500);
            slc.Height = this.Height;
            slc.Source = mySource;

            this.Controls.Add(slc);
            
            base.CreateChildControls();
        }
    }
}
